using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 培训通知人员
    /// </summary>
    [Description("培训通知人员")]
    public class T_SE_TRAIN_NOTIFY_PERSONS : MesEntityBase
    {

        /// <summary>
        /// 培训通知
        /// </summary>
        [Description("培训通知")]
        [DataFieldForeignKey("Nav_Notify","Nav_TrainUserList")]
        public Guid NOTIFY_ID { get; set; }
        /// <summary>
        /// 导航: 培训通知
        /// </summary>
        [Description("导航: 培训通知")]
        public T_SE_TRAIN_NOTIFY Nav_Notify { get; set; }
        /// <summary>
        /// 培训人员
        /// </summary>
        [Description("培训人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }
        /// <summary>
        /// 导航: 发起人员
        /// </summary>
        [Description("导航: 培训人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 是否请假
        /// </summary>
        [Description("是否请假")]
        [EnumName("SETrainYesNoEnum")]
        [FormFieldEdit]
        public SETrainYesNoEnum IS_LEAVE { get; set; }
        /// <summary>
        /// 请假原因
        /// </summary>
        [Description("请假原因")]
        [DataFieldLength(200)]
        [FormFieldEdit]
        public string LEAVE_REASON { get; set; }
        /// <summary>
        /// 是否转训
        /// </summary>
        [Description("是否转训")]
        [FormFieldEdit]
        public bool TRANSFER_TRAINING { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        [DataFieldLength(50)]
        public string DEPARTMENT_NAME { get; set; }
        /// <summary>
        /// 岗位
        /// </summary>
        [Description("岗位")]
        [DataFieldLength(50)]
        public string POST_NAME { get; set; }
    }
}
